%define ver     4.0.0
%define lsbver	4.0

Summary: LSB Build environment base package
Name: lsb-build-base
Version: %ver
Release: 4
License: LF
Vendor: Linux Foundation
Packager: LSB Project <lsb-discuss@linux-foundation.org>
Group: Development/Tools
Source: lsb-build-base-%ver.tar.gz
BuildRoot: /var/tmp/lsb-build-base-root
AutoReqProv: no
# Does not strictly require lsb
#PreReq: lsb >= 3.1
Obsoletes: lsbdev-base
Requires: lsb-setup

%description

The LSB Build environment base package provides stub libraries and
header files. These can be used to build LSB compliant applications.
Note that the version number of the package refers to the version
of the specification that the stub libraries and header files
have been generated for.

%prep
%setup -q

%build
make LSBVERSION=${RPM_PACKAGE_VERSION} LSBLIBCHK_VERSION=${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL_ROOT=/opt/lsb
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-base
cp README Licence $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-base
( cd $RPM_BUILD_ROOT/opt/lsb/include ; ln -s curses.h ncurses.h )
( cd $RPM_BUILD_ROOT/opt/lsb/include ; rm -fr All IA32 IA64 PPC32 PPC64 S390 S390X x86-64 )
%ifarch ppc64 s390x x86_64
( for i in $RPM_BUILD_ROOT/opt/lsb/lib64-*; do cd $i && ln -s libncurses.so libcurses.so; done )
%else
( for i in $RPM_BUILD_ROOT/opt/lsb/lib-*; do cd $i && ln -s libncurses.so libcurses.so; done )
%endif

# (sb) bug XXXX, let lib{64}-CURRENT be a symlink to lib{64}, 
# owned by lsb-setup, this needs to be tweaked for a new LSB version
%ifarch ppc64 s390x x86_64
  rm $RPM_BUILD_ROOT/opt/lsb/lib64
  mv $RPM_BUILD_ROOT/opt/lsb/lib64-%lsbver $RPM_BUILD_ROOT/opt/lsb/lib64
  (cd $RPM_BUILD_ROOT/opt/lsb; ln -s lib64 lib64-%lsbver)
%else
  rm $RPM_BUILD_ROOT/opt/lsb/lib
  mv $RPM_BUILD_ROOT/opt/lsb/lib-%lsbver $RPM_BUILD_ROOT/opt/lsb/lib
  (cd $RPM_BUILD_ROOT/opt/lsb; ln -s lib lib-%lsbver)
%endif
  
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /opt/lsb/doc/lsb-build-base
/opt/lsb/doc/lsb-build-base/*
/opt/lsb/include/*
### FIXME - need to manually redo this when we bump the LSB version
# the lib{64}-3* may need to be expanded
%ifarch ppc64 s390x x86_64
  /opt/lsb/lib64-%lsbver
  %dir /opt/lsb/lib64-3*
  /opt/lsb/lib64-3*/*
  /opt/lsb/lib64/*
%else
  /opt/lsb/lib-%lsbver
  %dir /opt/lsb/lib-3*
  /opt/lsb/lib-3*/*
  /opt/lsb/lib/*
%endif

%changelog
* Wed Nov 05 2008 Stew Benedict <stewb@linux-foundation.org>
- require lsb-setup, be specific with %%files list
- move lib{64}-CURRENT -> lib{64} and symlink to it

* Wed Jun 4 2008 Denis Silakov <silakov@ispras.ru>
- Support for multiversion libs

* Thu Feb 28 2008 Stew Benedict <stewb@linux-foundation.org>
- use DESTDIR for "make install" (part of bug 1412 fix)

* Thu Jun 10 2004 Mats Wichmann <mats@freestandards.org>
- make symlinks for curses header and library
- clean out excess directories in header tree

* Thu Jun 27 2002 Christopher Yeoh <cyeoh@samba.org>
- Mods for autobuild

* Thu Jun 20 2002 Christopher Yeoh <cyeoh@samba.org>
- Initial package

